This page was not yet optimized for use on mobile devices.
MediaTek CryptoCore
Certificate details
| Certificate ID | #3264 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 20.08.2018 , 31.08.2018 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Firmware-Hybrid |
| Embodiment | Single Chip |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | MediaTek CryptoCore is a firmware hybrid cryptographic module providing foundational security services for the platform, including secure boot, secure life cycle state, platform identity and key management. It offers high-throughput cryptography operations, suitable for a diverse set of use cases. |
| Version (Hardware) | 1.0 |
| Version (Firmware) | 1.0 |
| Tested configurations |
|
| Vendor | [email protected] /cdn-cgi/l/email-protection |
| Lab | CYGNACOM SOLUTIONS INC |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-256, DES, Triple-DES, TDES, TDEA, HMAC, HMAC-SHA-384, HMAC-SHA-512, CMAC, CBC-MACAsymmetric Algorithms
RSA 512, RSA-2048, RSA-PSS, ECDH, ECDSA, ECIES, ECC, Diffie-HellmanHash functions
SHA-1, SHA1, SHA-384, SHA-512, SHA-256, SHA-224, MD5Schemes
MAC, Key Exchange, Key Agreement, Key agreementProtocols
IPsecRandomness
TRNG, DRBG, RNGElliptic Curves
P-224, P-256, P-521, P-192, P-384, P-512Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XTSTrusted Execution Environments
TEESecurity level
Level 1, level 1Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3264,
"dgst": "587887b1f664c61a",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"SHS#3927",
"HMAC#3191",
"CVL#1429",
"CVL#1428",
"RSA#2621",
"KBKDF#155",
"SHS#3926",
"Triple-DES#2542",
"Triple-DES#2541",
"#1429",
"ECDSA#1203",
"KTS#4788",
"KTS#4789",
"AES#4789",
"AES#4788",
"DRBG#1661",
"HMAC#3190"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"1.0"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 40,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 13
},
"ECDH": {
"ECDH": 1
},
"ECDSA": {
"ECDSA": 7
},
"ECIES": {
"ECIES": 3
}
},
"FF": {
"DH": {
"Diffie-Hellman": 21
}
},
"RSA": {
"RSA 512": 1,
"RSA-2048": 1,
"RSA-PSS": 4
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 21
},
"CCM": {
"CCM": 18
},
"CTR": {
"CTR": 12
},
"ECB": {
"ECB": 23
},
"GCM": {
"GCM": 4
},
"OFB": {
"OFB": 13
},
"XTS": {
"XTS": 6
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IPsec": {
"IPsec": 1
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 7,
"Key agreement": 5
},
"KEX": {
"Key Exchange": 2
},
"MAC": {
"MAC": 5
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-192": 10,
"P-224": 6,
"P-256": 8,
"P-384": 2,
"P-512": 1,
"P-521": 4
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES 128": 8,
"AES 128, 192": 1,
"AES 256": 1,
"AES-128": 9,
"AES-128, 192": 4,
"AES-128, 256": 1,
"AES-256": 2,
"CVL 1428": 1,
"CVL 1429": 1,
"DES 64": 1,
"Diffie-Hellman 1024": 1,
"HMAC 256": 2,
"HMAC SHA-1": 4,
"HMAC SHA-256": 3,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"PKCS1": 22,
"PKSC1": 3,
"RSA 512": 1,
"SHA- 224": 2,
"SHA- 256": 13,
"SHA- 512": 1,
"SHA-1": 14,
"SHA-1 1": 2,
"SHA-224": 15,
"SHA-256": 19,
"SHA-384": 15,
"SHA-512": 15,
"SHA1": 6
}
},
"fips_security_level": {
"Level": {
"Level 1": 1,
"level 1": 2
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 10
}
},
"SHA": {
"SHA1": {
"SHA-1": 16,
"SHA1": 6
},
"SHA2": {
"SHA-224": 15,
"SHA-256": 19,
"SHA-384": 15,
"SHA-512": 15
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 43
},
"RNG": {
"RNG": 4
},
"TRNG": {
"TRNG": 11
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 50,
"FIPS 186-4": 3,
"FIPS 197": 1,
"FIPS PUB 140-2": 1,
"FIPS PUB 186-4": 1,
"FIPS PUB 46-3": 1,
"FIPS180-4": 3,
"FIPS186-4": 18,
"FIPS197": 3,
"FIPS198-1": 2,
"FIPS46-3": 5
},
"ISO": {
"ISO/IEC 18033-2": 1
},
"NIST": {
"NIST SP 800-108": 1,
"NIST SP 800-90A": 3
},
"PKCS": {
"PKCS1": 11
},
"RFC": {
"RFC1071": 2,
"RFC1321": 2,
"RFC2104": 4,
"RFC3566": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 42,
"AES-128": 14,
"AES-256": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 2,
"Triple-DES": 10
},
"DES": {
"DES": 11
}
},
"constructions": {
"MAC": {
"CBC-MAC": 4,
"CMAC": 10,
"HMAC": 19,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {
"other": {
"TEE": 11
}
},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"SHS#3927",
"HMAC#3191",
"CVL#1428",
"RSA#2621",
"AES#4788",
"KBKDF#155",
"SHS#3926",
"Triple-DES#2541",
"Triple-DES#2542",
"ECDSA#1203",
"AES#4789",
"KTS#4789",
"KTS#4788",
"CVL#1429",
"DRBG#1661",
"HMAC#3190"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#1429"
]
},
"policy_metadata": {
"/Author": "Mediatek",
"/CreationDate": "D:20180613151712-07\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2013",
"/ModDate": "D:20180613151712-07\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2013",
"pdf_file_size_bytes": 1282003,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://csrc.nist.gov/publications/nistpubs/800-108/sp800-108.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38C/SP800-38C_updated-July20_2007.pdf",
"http://webstore.ansi.org/RecordDetail.aspx?sku=X9.63-2011",
"http://www.iso.org/iso/iso_catalogue/catalogue_tc/catalogue_detail.htm?csnumber=50375",
"https://www.ietf.org/rfc/rfc3566.txt",
"http://www.iso.org/iso/catalogue_detail?csnumber=28107",
"file:///D:/Document/Project/WCP2/MTK/Task%20Force/Security%20TF/600.CryptoIP/Sansa/FIPS/security-policy8.html%23fn7x0",
"http://www.arib.or.jp/english/html/overview/doc/6-STD-B25v5_0-E1.pdf",
"http://www.emc.com/emc-plus/rsa-labs/standards-initiatives/pkcs-rsa-cryptography-standard.htm",
"http://csrc.nist.gov/publications/nistpubs/800-38D/SP-800-38D.pdf",
"http://webstore.ansi.org/RecordDetail.aspx?sku=ANSI+X9.42-2003+(R2013)",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Ar2.pdf",
"http://www.jedec.org/sites/default/files/docs/JESD84-B50.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38E/nist-sp-800-38E.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38a/addendum-to-nist_sp800-38A.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-131a.pdf",
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-57/sp800-57_part1_rev3_general.pdf",
"http://grouper.ieee.org/groups/1363/P1363/index.html",
"http://csrc.nist.gov/publications/fips/fips46-3/fips46-3.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-133.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-67-Rev1/SP-800-67-Rev1.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38a/sp800-38a.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38B/SP_800-38B.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf",
"https://www.ietf.org/rfc/rfc2104.txt",
"https://www.ietf.org/rfc/rfc1321.txt",
"http://dx.doi.org/10.6028/NIST.SP.800-90Ar1",
"https://tools.ietf.org/html/rfc1071",
"http://www.iso.org/iso/iso_catalogue/catalogue_tc/catalogue_detail.htm?csnumber=37971",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 41
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "c760a18f0908f3363849548cce8ed6befaa06c2e8c029cb3226211cfbde11005",
"source_hash": "b4fad1875a22be284f93e34ec5a5131eb5235ae1816926e99b4e70a7df30eb2d",
"txt_hash": "4b91e6e10e46aef8a4e63e321d56c293a5f12634d8724d63fd31411f469b070c"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertAug2018.pdf",
"date_sunset": null,
"description": "MediaTek CryptoCore is a firmware hybrid cryptographic module providing foundational security services for the platform, including secure boot, secure life cycle state, platform identity and key management. It offers high-throughput cryptography operations, suitable for a diverse set of use cases.",
"embodiment": "Single Chip",
"exceptions": [
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "1.0",
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": "1.0",
"level": 1,
"mentioned_certs": {},
"module_name": "MediaTek CryptoCore",
"module_type": "Firmware-Hybrid",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": [
"MediaTek Helio X30 SoC with Android Nougat and Trustonic t-base 311b"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-08-20",
"lab": "CYGNACOM SOLUTIONS INC",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-08-31",
"lab": "CYGNACOM SOLUTIONS INC",
"validation_type": "Update"
}
],
"vendor": "[email\u00a0protected]",
"vendor_url": "/cdn-cgi/l/email-protection"
}
}